Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.datatypes
Class TModelInstanceInfo

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.TModelInstanceInfo

public class TModelInstanceInfo
extends Object

TModelInstanceInfo structure represents the binding Template instnace specific details for a tModel by reference.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`TModelInstanceInfo()` Class Constructor

Method Summary
`void` | `addDescription(String value)` Adds a new description to the descriptions.
`Vector` | `getDescriptionVector()` Gets the set of descriptions
`InstanceDetails` | `getInstanceDetails()` Gets the value of the instance details.
`String` | `getTModelKey()` Gets the value of the tModelKey.
`void` | `setDescriptionVector(Vector value)` Sets the values for descriptions.
`void` | `setInstanceDetails(InstanceDetails value)` Sets the value of the instance details.
`void` | `setTModelKey(String value)` Sets the value of the tModelKey.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TModelInstanceInfo

    public TModelInstanceInfo()

  Class Constructor

Method Detail

### addDescription

    public void addDescription(String value)

  Adds a new description to the descriptions.

  Parameters:
    `value` - the new description.

### getDescriptionVector

    public Vector getDescriptionVector()

  Gets the set of descriptions

  Returns:
    the set of descriptions

### getInstanceDetails

    public InstanceDetails getInstanceDetails()

  Gets the value of the instance details.

  Returns:
    the current value of the instance details.

### getTModelKey

    public String getTModelKey()

  Gets the value of the tModelKey.

  Returns:
    the current value of the tModelKey.

### setDescriptionVector

    public void setDescriptionVector(Vector value)

  Sets the values for descriptions.

  Parameters:
    `value` - A set of descriptions to be included

### setInstanceDetails

    public void setInstanceDetails(InstanceDetails value)

  Sets the value of the instance details.

  Parameters:
    `value` - the new value of the instance details.

### setTModelKey

    public void setTModelKey(String value)

  Sets the value of the tModelKey.

  Parameters:
    `value` - the new value of the tModelKey.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD